'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _g, _path2, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgNiueCircled = function SvgNiueCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "NiueCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#NiueCircled_svg__b)",
    mask: "url(#NiueCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FEDD00",
    d: "M1 1h46v46H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#012169",
    d: "M1 1h23v23H1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M24 1v2.875L15.465 12.5 24 20.9V24h-3.01l-8.58-8.445L4.055 24H1v-3.055l8.355-8.4L1 4.325V1h2.785l8.625 8.445L20.766 1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C8102E",
    d: "m9.266 15.555.494 1.527L2.887 24H1v-.135zm5.57-.54 2.426.36L24 21.979V24zM24 1l-8.625 8.805-.18-1.977L21.934 1zM1 1.045l8.67 8.49-2.65-.36L1 3.202z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "M8.906 1v23h7.188V1zM1 8.906v7.188h23V8.906z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C8102E",
    d: "M1 10.344v4.312h23v-4.312zM10.344 1v23h4.312V1z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#012169",
    d: "M12.5 16.417a3.917 3.917 0 1 0 0-7.834 3.917 3.917 0 0 0 0 7.834"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FEDD00",
    d: "m12.5 8.583 2.3 7.08-6.02-4.376h7.44l-6.02 4.375m-4.411-5.237 1.347 4.16-3.53-2.57H7.98l-3.54 2.57m14.77-4.16 1.348 4.16-3.54-2.57h4.376l-3.54 2.57M12.5 18.087l1.348 4.16-3.531-2.57h4.366l-3.53 2.57M12.5 2.752l1.348 4.178-3.531-2.579h4.366l-3.53 2.579"
  }))), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "NiueCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgNiueCircled;
